#include <string.h>
#include "defines.h"

unchar *dir_name(fname,dir,name)
unchar *fname,*dir,*name;
{
unint len;
unchar c;
	strcpy(fname,dir);
	if (dir[0]!=0) {
		len=strlen(dir);
		fname+=len;
		c=*(fname-1);
		if (c!='\\' && c!=':') *fname++='\\';
	}
	strcpy(fname,name);
	return(fname); /* fname中の元のnameのストア位置 */
}
